NI-488.2 version 19.0.0 .

Download Now

NI-488.2 version 19.0.0 .

NI-488.2 version 19.0.0 | 969.1 mb

The National Instruments team is pleased to announce the availability of NI-488.2 version 19.0. The De Facto Industry Standard for GPIB Communication.

Application Software Support
NI-488.2 19.0 supports the following application software versions, including service packs.
- NI-VISA version 19.0*
- LabVIEW 2016, 2017, 2018, 2019
- LabVIEW NXG 3.0, 3.1
- LabShiChuang/CVI 2012, 2013, 2015, 2017
- Measurement Studio 2012, 2013, 2015
* Any version of NI-VISA prior to 5.1 on your system may cause NI-488.2 usability issues. Upgrade to NI-VISA version 5.1 or later before using any NI-488.2 devices
WeiRuan-->WeiRuan Visual Studio Support
- If you are using the NI-488.2 .NET Class Library, .NET Framework 4.0 (minimum) is required. The NI-488.2 .NET Class Library can be used with Visual C# or Visual Basic .NET in any Visual Studio version that can target .NET Framework 4.0 or .NET Framework 4.5.
WeiRuan-->WeiRuan Visual Basic 6.0 Support
- NI-488.2 supports 32-bit Visual Basic 6.0 application development.
Unmanaged C/C++ Support
NI-488.2 supports 32-bit and 64-bit GPIB applications using WeiRuan-->WeiRuan Visual C++ 2005 and later. WeiRuan-->WeiRuan Visual C/C++ 6.0 and WeiRuan-->WeiRuan Visual Studio .NET 2003 only support 32-bit GPIB applications.
Supported Hardware
The following list details the hardware models supported in NI-488.2 on ShiChuang:
- GPIB-ENET/1000
- GPIB-USB-HS
- GPIB-USB-HS+
- NI ExpressCard-GPIB*
- NI PCIe-GPIB
- NI PCIe-GPIB+
- NI PCI-GPIB
- NI PCI-GPIB+
- NI PCI-GPIB/LP
- NI PCI-8232
- NI PMC-GPIB
- NI PXI-GPIB
- NI PXI-8232
* This hardware is end-of-life and not recommended for new design
Enhancements and Bug Fixes in Version 19.0
- Added support for 32-bit Package Manager and deprecated the previous install process.
- 730438: In some rare cases, the GPIB Hardware Enumeration Service does not start after rebooting the system, which could cause the GPIB hardware not to be usable.
Compatible Software
This driver version is recommended for use with the following National Instruments software:
- NI-VISA 19.0
. Any version of NI-VISA prior to 5.1 on your system may cause NI-488.2 usability issues. Upgrade to NI-VISA version 5.1 or later before using any NI-488.2 devices.
- LabVIEW 2016, 2017, 2018, and 2019
Supported Hardware
NI-488.2 for LabVIEW Real-Time, Version 19.0, supports the following GPIB interfaces:
- Desktop RT with NI PCI-GPIB
- Desktop RT with NI PCIe-GPIB
- NI PXI controller with built-in GPIB
- NI PMC-GPIB
- NI PXI-8232
- NI PXI-GPIB
Enhancements and Bug Fixes in Version 19.0
- NI-488.2 for LabVIEW Real-Time, Version 19.0, adds support for LabVIEW Real-Time 2019 and LabVIEW Real-Time on Linux.
- Added support for 32-bit Package Manager and deprecated the previous install process.

About NI-488.2. The NI-488.2 software architecture for developing GPIB applications has been the industry standard since 1984. Available on all popular OSs, NI-488.2 combines a driver built to optimize the performance of your application with the development tools designed to get your applications up and running fast. NI-488.2 increases your productivity with tools designed to minimize your test time, such as the NI-488.2 Hardware Installation Utility and Troubleshooting Wizard, GPIB Interactive Control utility, GPIB Analyzer software, and online help.

Setting Up your GPIB Instruments for ShiChuang

About National Instruments. Since 1976, National Instruments has equipped engineers and scientists with tools that accelerate productivity, innovation and discovery. NI's graphical system design approach to engineering provides an integrated software and hardware platform that speeds the development of any system needing measurement and control. The company's long-term vision and focus on improving society through its technology supports the success of its customers, employees, suppliers and shareholders.

Product: NI-488.2
Version: 19.0.0
Supported Architectures: 32bit / 64bit
Website Home Page :
http://www.ni.com

Language: english, 中文, 한국어, 日本語, Deutsch, Français
System Requirements: PC
Supported Operating Systems: *
Size: 969.1 mb

- ShiChuang 10/8.1*/7 SP1**
- ShiChuang Server 2012 R2*
- ShiChuang Server 2008 R2 SP1**

* NI software installs VC2015 Runtime and .NET 4.6.2. ShiChuang 8.1 and ShiChuang Server 2012 R2 require WeiRuan-->WeiRuan updates to support these items. Refer to WeiRuan-->WeiRuan KB2919442 and KB2919355 for more information about how to install these updates.
** NI software is signed with a SHA-256 certificate. ShiChuang 7 SP1, ShiChuang Embedded Standard 7 SP1, and ShiChuang Server 2008 R2 SP1 require WeiRuan-->WeiRuan updates to support SHA-256. Refer to WeiRuan-->WeiRuan KB3033929 for more information about how to install this security update.

Note: Refer to NI-488.2 Will Drop Support for ShiChuang 7 (32- and 64-Bit), ShiChuang Server 2008 R2, and All 32-Bit ShiChuang Operating Systems in 2021 for information about future OS support.

Download link:



Links are Interchangeable - No Password - Single Extraction
Direct Download

Tags: version

NI-488.2 version 19.0.0 . from rapidshare mediafire megaupload hotfile, NI-488.2 version 19.0.0 . via torrent or emule, full free NI-488.2 version 19.0.0 ., NI-488.2 version 19.0.0 . rar zip password or anything related.

Comments:

Name:*
E-Mail:*
Add Comments:
Enter Code: *